%define with_gtk_doc 1
%define with_bcache 1
%define with_lvm_dbus 1
%define with_vdo 1
%define with_dmraid 1
%define with_tools 1

# We're not providing Python 2 bindings
%define with_python2 0
%define python2_copts --without-python2

# bcache is not available on RHEL
%if (0%{?rhel}) || %{with_bcache} == 0
%define with_bcache 0
%define bcache_copts --without-bcache
%endif

# lvm_dbus is not available on older RHEL
%if (! 0%{?mageia} && 0%{?rhel} <= 7) || %{with_lvm_dbus} == 0
%define with_lvm_dbus 0
%define lvm_dbus_copts --without-lvm-dbus
%endif

# vdo is not available on non-x86_64 on older RHEL
%if (0%{?rhel} && 0%{?rhel} <= 7)
%ifnarch x86_64
%define with_vdo 0
%define vdo_copts --without-vdo
%endif
%endif

# dmraid is not available on RHEL > 7
# (ngompa): I may consider disabling this for Mageia too
# Cf. https://wiki.mageia.org/en/Feature:Use_mdadm_for_raid_devices
# (tv) installer still uses dmraid...
%if 0%{?rhel} > 7
%define with_dmraid 0
%endif

%if %{with_vdo} != 1
%define vdo_copts --without-vdo
%endif

%define configure_opts %{?python2_copts} %{?python3_copts} %{?bcache_copts} %{?lvm_dbus_copts} %{?btrfs_copts} %{?crypto_copts} %{?dm_copts} %{?loop_copts} %{?lvm_copts} %{?lvm_dbus_copts} %{?mdraid_copts} %{?mpath_copts} %{?swap_copts} %{?kbd_copts} %{?part_copts} %{?fs_copts} %{?nvdimm_copts} %{?vdo_copts} %{?tools_copts} %{?gi_copts}

%global somajor 2
%global girver %{somajor}.0
%global shortname blockdev

# Hold on, this is a doozy of libraries...
%global libname %mklibname %{shortname} %{somajor}
%global girname %mklibname %{shortname}-gir %{girver}
%global devname %mklibname %{shortname} -d

# libbd_utils
%global libutilsname %mklibname bd_utils %{somajor}
%global devutilsname %mklibname bd_utils -d

# libbd_btrfs
%global libbtrfsname %mklibname bd_btrfs %{somajor}
%global devbtrfsname %mklibname bd_btrfs -d

# libbd_crypto
%global libcryptoname %mklibname bd_crypto %{somajor}
%global devcryptoname %mklibname bd_crypto -d

# libbd_dm
%global libdmname %mklibname bd_dm %{somajor}
%global devdmname %mklibname bd_dm -d

# libbd_fs
%global libfsname %mklibname bd_fs %{somajor}
%global devfsname %mklibname bd_fs -d

# libbd_kbd
%global libkbdname %mklibname bd_kbd %{somajor}
%global devkbdname %mklibname bd_kbd -d

# libbd_loop
%global libloopname %mklibname bd_loop %{somajor}
%global devloopname %mklibname bd_loop -d

# libbd_lvm
%global liblvmname %mklibname bd_lvm %{somajor}
%global devlvmname %mklibname bd_lvm -d

# libbd_lvm-dbus
%global liblvm_dbusname %mklibname bd_lvm-dbus %{somajor}
%global devlvm_dbusname %mklibname bd_lvm-dbus -d

# libbd_mdraid
%global libmdraidname %mklibname bd_mdraid %{somajor}
%global devmdraidname %mklibname bd_mdraid -d

# libbd_mpath
%global libmpathname %mklibname bd_mpath %{somajor}
%global devmpathname %mklibname bd_mpath -d

# libbd_nvdimm
%global libnvdimmname %mklibname bd_nvdimm %{somajor}
%global devnvdimmname %mklibname bd_nvdimm -d

# libbd_part
%global libpartname %mklibname bd_part %{somajor}
%global devpartname %mklibname bd_part -d

# libbd_swap
%global libswapname %mklibname bd_swap %{somajor}
%global devswapname %mklibname bd_swap -d

# libbd_vdo
%global libvdoname %mklibname bd_vdo %{somajor}
%global devvdoname %mklibname bd_vdo -d

# libbd_s390
%global libs390name %mklibname bd_s390 %{somajor}
%global devs390name %mklibname bd_s390 -d

Name:        libblockdev
Version:     2.24
Release:     %mkrel 11
Summary:     A library for low-level manipulation with block devices
Group:       System/Libraries
License:     LGPLv2+
URL:         https://github.com/storaged-project/libblockdev
Source0:     https://github.com/storaged-project/libblockdev/releases/download/%{version}-%{release}/%{name}-%{version}.tar.gz
Patch0:      libblockdev-gcc11.patch
Patch1:      0001-Fix-comparing-DM-RAID-member-devices-UUID.patch
Patch2:      0002-Fix-setting-locale-for-util-calls.patch

BuildRequires: glib2-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: python3-devel
%if %{with_gtk_doc}
BuildRequires: gtk-doc
%endif

# Needed for the escrow tests in tests/crypto_test.py, but not used to build
# BuildRequires: volume_key
# BuildRequires: nss-tools

%description
The libblockdev is a C library with GObject introspection support that can be
used for doing low-level operations with block devices like setting up LVM,
BTRFS, LUKS or MD RAID. The library uses plugins (LVM, BTRFS,...) and serves as
a thin wrapper around its plugins' functionality. All the plugins, however, can
be used as standalone libraries. One of the core principles of libblockdev is
that it is stateless from the storage configuration's perspective (e.g. it has
no information about VGs when creating an LV).

%package -n %{libname}
Summary:  A library for low-level manipulation with block devices
Group:    System/Libraries

%description -n %{libname}
libblockdev is a C library with GObject introspection support that can be
used for doing low-level operations with block devices like setting up LVM,
BTRFS, LUKS or MD RAID. The library uses plugins (LVM, BTRFS,...) and serves as
a thin wrapper around its plugins' functionality. All the plugins, however, can
be used as standalone libraries. One of the core principles of libblockdev is
that it is stateless from the storage configuration's perspective (e.g. it has
no information about VGs when creating an LV).

%package -n %{girname}
Summary:  A library for low-level manipulation with block devices (GI bindings)
Group:    System/Libraries
Requires: %{libname}%{?_isa} = %{version}-%{release}

%description -n %{girname}
This package contains the gobject-introspection bindings for using the
libblockdev library.

%package -n %{devname}
Summary:  Development files for libblockdev
Group:    Development/C
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-devel%{?_isa} = %{version}-%{release}
Requires: %{libname}%{?_isa} = %{version}-%{release}
Requires: %{girname}%{?_isa} = %{version}-%{release}
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devname}
This package contains header files and pkg-config files needed for development
with the libblockdev library.

%package -n python3-blockdev
Summary:  Python3 gobject-introspection bindings for libblockdev
Group:    Development/Python
Requires: %{libname}%{?_isa} = %{version}-%{release}
Requires: %{girname}%{?_isa} = %{version}-%{release}
Requires: python3-gobject3
%{?python_provide:%python_provide python3-blockdev}

%description -n python3-blockdev
This package contains enhancements to the gobject-introspection bindings for
libblockdev in Python3.

%package -n %{libutilsname}
BuildRequires: kmod-devel
Summary:  A library with utility functions for the libblockdev library
Group:    System/Libraries

%description -n %{libutilsname}
The libblockdev-utils is a library providing utility functions used by the
libblockdev library and its plugins.

%package -n %{devutilsname}
Summary:  Development files for libblockdev-utils
Group:    Development/C
Provides: %{name}-utils-devel = %{version}-%{release}
Provides: %{name}-utils-devel%{?_isa} = %{version}-%{release}
Provides: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devutilsname}
This package contains header files and pkg-config files needed for development
with the libblockdev-utils library.

%package -n %{libbtrfsname}
BuildRequires: libbytesize-devel
Summary:  The BTRFS plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: btrfs-progs

%description -n %{libbtrfsname}
The libblockdev library plugin (and in the same time a standalone library)
providing the BTRFS-related functionality.

%package -n %{devbtrfsname}
Summary:  Development files for the libblockdev-btrfs plugin/library
Group:    Development/C
Provides: %{name}-btrfs-devel = %{version}-%{release}
Provides: %{name}-btrfs-devel%{?_isa} = %{version}-%{release}
Requires: %{libbtrfsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}

%description -n %{devbtrfsname}
This package contains header files and pkg-config files needed for development
with the libblockdev-btrfs plugin/library.

%package -n %{libcryptoname}
Summary:       The crypto plugin for the libblockdev library
Group:         System/Libraries
BuildRequires: cryptsetup-devel
BuildRequires: libblkid-devel
BuildRequires: volume_key-devel >= 0.3.9-7
BuildRequires: nss-devel

%description -n %{libcryptoname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to encrypted devices (LUKS).

%package -n %{devcryptoname}
Summary:  Development files for the libblockdev-crypto plugin/library
Group:    Development/C
Provides: %{name}-crypto-devel = %{version}-%{release}
Provides: %{name}-crypto-devel%{?_isa} = %{version}-%{release}
Requires: %{libcryptoname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devcryptoname}
This package contains header files and pkg-config files needed for development
with the libblockdev-crypto plugin/library.

%package -n %{libdmname}
BuildRequires: device-mapper-devel
%if %{with_dmraid}
BuildRequires: dmraid-devel
%endif
BuildRequires: systemd-devel
Summary:  The Device Mapper plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: device-mapper
%if %{with_dmraid}
Requires: dmraid
%endif

%description -n %{libdmname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to Device Mapper.

%package -n %{devdmname}
Summary:  Development files for the libblockdev-dm plugin/library
Group:    Development/C
Provides: %{name}-dm-devel = %{version}-%{release}
Provides: %{name}-dm-devel%{?_isa} = %{version}-%{release}
Requires: %{libdmname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel
Requires: device-mapper-devel
Requires: systemd-devel
%if %{with_dmraid}
Requires: dmraid-devel
%endif
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}

%description -n %{devdmname}
This package contains header files and pkg-config files needed for development
with the libblockdev-dm plugin/library.

%package -n %{libfsname}
BuildRequires: parted-devel
BuildRequires: libblkid-devel
BuildRequires: libmount-devel
Summary:  The FS plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}

%description -n %{libfsname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to operations with file systems.

%package -n %{devfsname}
Summary:  Development files for the libblockdev-fs plugin/library
Group:    Development/C
Provides: %{name}-fs-devel = %{version}-%{release}
Provides: %{name}-fs-devel%{?_isa} = %{version}-%{release}
Requires: %{libfsname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel
Requires: xfsprogs
Requires: dosfstools

%description -n %{devfsname}
This package contains header files and pkg-config files needed for development
with the libblockdev-fs plugin/library.

%package -n %{libkbdname}
BuildRequires: libbytesize-devel
Summary:  The KBD plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
%if %{with_bcache}
Requires: bcache-tools >= 1.0.8
%endif

%description -n %{libkbdname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to kernel block devices (namely zRAM and
Bcache).

%package -n %{devkbdname}
Summary:  Development files for the libblockdev-kbd plugin/library
Group:    Development/C
Provides: %{name}-kbd-devel = %{version}-%{release}
Provides: %{name}-kbd-devel%{?_isa} = %{version}-%{release}
Requires: %{libkbdname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devkbdname}
This package contains header files and pkg-config files needed for development
with the libblockdev-kbd plugin/library.

%package -n %{libloopname}
Summary:  The loop plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}

%description -n %{libloopname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to loop devices.

%package -n %{devloopname}
Summary:  Development files for the libblockdev-loop plugin/library
Group:    Development/C
Provides: %{name}-loop-devel = %{version}-%{release}
Provides: %{name}-loop-devel%{?_isa} = %{version}-%{release}
Requires: %{libloopname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devloopname}
This package contains header files and pkg-config files needed for development
with the libblockdev-loop plugin/library.


%package -n %{liblvmname}
BuildRequires: device-mapper-devel
Summary:  The LVM plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: lvm2
# for thin_metadata_size
Requires: device-mapper-persistent-data

%description -n %{liblvmname}
The libblockdev library plugin (and in the same time a standalone library)
providing the LVM-related functionality.

%package -n %{devlvmname}
Summary:  Development files for the libblockdev-lvm plugin/library
Group:    Development/C
Provides: %{name}-lvm-devel = %{version}-%{release}
Provides: %{name}-lvm-devel%{?_isa} = %{version}-%{release}
Requires: %{liblvmname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devlvmname}
This package contains header files and pkg-config files needed for development
with the libblockdev-lvm plugin/library.

%if %{with_lvm_dbus}
%package -n %{liblvm_dbusname}
BuildRequires: device-mapper-devel
Summary:  The LVM plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: lvm2-dbusd >= 2.02.156
# for thin_metadata_size
Requires: device-mapper-persistent-data

%description -n %{liblvm_dbusname}
The libblockdev library plugin (and in the same time a standalone library)
providing the LVM-related functionality utilizing the LVM DBus API.

%package -n %{devlvm_dbusname}
Summary:  Development files for the libblockdev-lvm-dbus plugin/library
Group:    Development/C
Provides: %{name}-lvm-dbus-devel = %{version}-%{release}
Provides: %{name}-lvm-dbus-devel%{?_isa} = %{version}-%{release}
Requires: %{liblvm_dbusname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devlvm_dbusname}
This package contains header files and pkg-config files needed for development
with the libblockdev-lvm-dbus plugin/library.
%endif


%package -n %{libmdraidname}
BuildRequires: libbytesize-devel
Summary:  The MD RAID plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: mdadm

%description -n %{libmdraidname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to MD RAID.

%package -n %{devmdraidname}
Summary:  Development files for the libblockdev-mdraid plugin/library
Group:    Development/C
Provides: %{name}-mdraid-devel = %{version}-%{release}
Provides: %{name}-mdraid-devel%{?_isa} = %{version}-%{release}
Requires: %{libmdraidname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devmdraidname}
This package contains header files and pkg-config files needed for development
with the libblockdev-mdraid plugin/library.


%package -n %{libmpathname}
BuildRequires: device-mapper-devel
Summary:  The multipath plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Recommends: device-mapper-multipath

%description -n %{libmpathname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to multipath devices.

%package -n %{devmpathname}
Summary:  Development files for the libblockdev-mpath plugin/library
Group:    Development/C
Provides: %{name}-mpath-devel = %{version}-%{release}
Provides: %{name}-mpath-devel%{?_isa} = %{version}-%{release}
Requires: %{libmpathname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devmpathname}
This package contains header files and pkg-config files needed for development
with the libblockdev-mpath plugin/library.

%package -n %{libnvdimmname}
BuildRequires: ndctl-devel
BuildRequires: libuuid-devel
Summary:  The NVDIMM plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: ndctl

%description -n %{libnvdimmname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to operations with NVDIMM devices.

%package -n %{devnvdimmname}
Summary:  Development files for the libblockdev-nvdimm plugin/library
Group:    Development/C
Provides: %{name}-nvdimm-devel = %{version}-%{release}
Provides: %{name}-nvdimm-devel%{?_isa} = %{version}-%{release}
Requires: %{libnvdimmname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devnvdimmname}
This package contains header files and pkg-config files needed for development
with the libblockdev-nvdimm plugin/library.


%package -n %{libpartname}
BuildRequires: parted-devel
Summary:  The partitioning plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: gdisk
Requires: util-linux

%description -n %{libpartname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to partitioning.

%package -n %{devpartname}
Summary:  Development files for the libblockdev-part plugin/library
Group:    Development/C
Provides: %{name}-part-devel = %{version}-%{release}
Provides: %{name}-part-devel%{?_isa} = %{version}-%{release}
Requires: %{libpartname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devpartname}
This package contains header files and pkg-config files needed for development
with the libblockdev-part plugin/library.


%package -n %{libswapname}
Summary:  The swap plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}
Requires: util-linux

%description -n %{libswapname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to swap devices.

%package -n %{devswapname}
Summary:  Development files for the libblockdev-swap plugin/library
Group:    Development/C
Provides: %{name}-swap-devel = %{version}-%{release}
Provides: %{name}-swap-devel%{?_isa} = %{version}-%{release}
Requires: %{libswapname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devswapname}
This package contains header files and pkg-config files needed for development
with the libblockdev-swap plugin/library.


%if %{with_vdo}
%package -n %{libvdoname}
BuildRequires: libbytesize-devel
BuildRequires: libyaml-devel
Summary:  The vdo plugin for the libblockdev library
Group:    System/Libraries
Requires: %{libutilsname}%{?_isa} = %{version}-%{release}

# weak dependencies doesn't work on older RHEL
%if (0%{?rhel} && 0%{?rhel} <= 7)
Requires: vdo
Requires: kmod-kvdo
%else
# we want to build the plugin everywhere but the dependencies might not be
# available so just use weak dependency
Recommends: vdo
Recommends: kmod-kvdo
%endif

%description -n %{libvdoname}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to VDO devices.

%package -n %{devvdoname}
Summary:  Development files for the libblockdev-vdo plugin/library
Group:    Development/C
Provides: %{name}-vdo-devel = %{version}-%{release}
Provides: %{name}-vdo-devel%{?_isa} = %{version}-%{release}
Requires: %{libvdoname}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devvdoname}
This package contains header files and pkg-config files needed for development
with the libblockdev-vdo plugin/library.
%endif

%if %{with_tools}
%package tools
Summary:    Various nice tools based on libblockdev
Requires:   %{libname}%{?_isa} = %{version}-%{release}
Requires:   %{liblvmname}%{?_isa} = %{version}-%{release}
BuildRequires: libbytesize-devel
%if %{with_lvm_dbus} == 1
Recommends: %{name}-lvm-dbus
%endif

%description tools
Various nice storage-related tools based on libblockdev.

%endif

%ifarch s390 s390x
%package -n %{libs390name}
Summary:  The s390 plugin for the libblockdev library
Group:    System/Libraries
Requires: s390utils

%description -n %{libs390name}
The libblockdev library plugin (and in the same time a standalone library)
providing the functionality related to s390 devices.

%package -n %{devs390name}
Summary:  Development files for the libblockdev-s390 plugin/library
Group:    Development/C
Provides: %{name}-s390-devel = %{version}-%{release}
Provides: %{name}-s390-devel%{?_isa} = %{version}-%{release}
Requires: %{libs390name}%{?_isa} = %{version}-%{release}
Requires: %{devutilsname}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description -n %{devs390name}
This package contains header files and pkg-config files needed for development
with the libblockdev-s390 plugin/library.
%endif

%package plugins-all
Summary:  Meta-package that pulls all the libblockdev plugins as dependencies
Group:    System/Libraries
Requires: %{libname}%{?_isa} = %{version}-%{release}

# Main plugins to pull in with this metapackage
Requires: %{libbtrfsname}%{?_isa} = %{version}-%{release}
Requires: %{libcryptoname}%{?_isa} = %{version}-%{release}
Requires: %{libdmname}%{?_isa} = %{version}-%{release}
Requires: %{libfsname}%{?_isa} = %{version}-%{release}
Requires: %{libkbdname}%{?_isa} = %{version}-%{release}
Requires: %{libloopname}%{?_isa} = %{version}-%{release}
Requires: %{liblvmname}%{?_isa} = %{version}-%{release}
Requires: %{libmdraidname}%{?_isa} = %{version}-%{release}
Requires: %{libmpathname}%{?_isa} = %{version}-%{release}
Requires: %{libnvdimmname}%{?_isa} = %{version}-%{release}
Requires: %{libpartname}%{?_isa} = %{version}-%{release}
Requires: %{libswapname}%{?_isa} = %{version}-%{release}

%if %{with_vdo}
Requires: %{libvdoname}%{?_isa} = %{version}-%{release}
%endif

%ifarch s390 s390x
Requires: %{libs390name}%{?_isa} = %{version}-%{release}
%endif

%description plugins-all
A meta-package that pulls all the libblockdev plugins as dependencies.


%prep
%autosetup -p1

%build
autoreconf -ivf
%configure %{?configure_opts}
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" | xargs %{__rm}


%files -n %{libname}
%license LICENSE
%{_libdir}/libblockdev.so.%{somajor}{,.*}
%dir %{_sysconfdir}/libblockdev
%dir %{_sysconfdir}/libblockdev/conf.d
%config %{_sysconfdir}/libblockdev/conf.d/00-default.cfg

%files -n %{girname}
%{_libdir}/girepository*/BlockDev-%{girver}.typelib

%files -n %{devname}
%doc features.rst specs.rst
%{_libdir}/libblockdev.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/blockdev.h
%{_includedir}/blockdev/plugins.h
%{_libdir}/pkgconfig/blockdev.pc
%{_datadir}/gir*/BlockDev*.gir
%if %{with_gtk_doc}
%{_datadir}/gtk-doc/html/libblockdev
%endif

%files -n python3-blockdev
%{python3_sitearch}/gi/overrides/BlockDev*
%{python3_sitearch}/gi/overrides/__pycache__/BlockDev*

%files -n %{libutilsname}
%{_libdir}/libbd_utils.so.%{somajor}{,.*}
%{_libdir}/libbd_part_err.so.%{somajor}{,.*}

%files -n %{devutilsname}
%{_libdir}/libbd_utils.so
%{_libdir}/libbd_part_err.so
%{_libdir}/pkgconfig/blockdev-utils.pc
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/utils.h
%{_includedir}/blockdev/sizes.h
%{_includedir}/blockdev/exec.h
%{_includedir}/blockdev/extra_arg.h
%{_includedir}/blockdev/dev_utils.h
%{_includedir}/blockdev/module.h
%{_includedir}/blockdev/dbus.h


%files -n %{libbtrfsname}
%{_libdir}/libbd_btrfs.so.%{somajor}{,.*}

%files -n %{devbtrfsname}
%{_libdir}/libbd_btrfs.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/btrfs.h


%files -n %{libcryptoname}
%{_libdir}/libbd_crypto.so.%{somajor}{,.*}

%files -n %{devcryptoname}
%{_libdir}/libbd_crypto.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/crypto.h


%files -n %{libdmname}
%{_libdir}/libbd_dm.so.%{somajor}{,.*}

%files -n %{devdmname}
%{_libdir}/libbd_dm.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/dm.h


%files -n %{libfsname}
%{_libdir}/libbd_fs.so.%{somajor}{,.*}

%files -n %{devfsname}
%{_libdir}/libbd_fs.so
%dir %{_includedir}/blockdev
%dir %{_includedir}/blockdev/fs
%{_includedir}/blockdev/fs.h
%{_includedir}/blockdev/fs/*.h


%files -n %{libkbdname}
%{_libdir}/libbd_kbd.so.%{somajor}{,.*}

%files -n %{devkbdname}
%{_libdir}/libbd_kbd.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/kbd.h


%files -n %{libloopname}
%{_libdir}/libbd_loop.so.%{somajor}{,.*}

%files -n %{devloopname}
%{_libdir}/libbd_loop.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/loop.h


%files -n %{liblvmname}
%{_libdir}/libbd_lvm.so.%{somajor}{,.*}

%files -n %{devlvmname}
%{_libdir}/libbd_lvm.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/lvm.h


%if %{with_lvm_dbus}
%files -n %{liblvm_dbusname}
%{_libdir}/libbd_lvm-dbus.so.%{somajor}{,.*}
%config %{_sysconfdir}/libblockdev/conf.d/10-lvm-dbus.cfg

%files -n %{devlvm_dbusname}
%{_libdir}/libbd_lvm-dbus.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/lvm.h
%endif


%files -n %{libmdraidname}
%{_libdir}/libbd_mdraid.so.%{somajor}{,.*}

%files -n %{devmdraidname}
%{_libdir}/libbd_mdraid.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/mdraid.h


%files -n %{libmpathname}
%{_libdir}/libbd_mpath.so.%{somajor}{,.*}

%files -n %{devmpathname}
%{_libdir}/libbd_mpath.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/mpath.h


%files -n %{libnvdimmname}
%{_libdir}/libbd_nvdimm.so.%{somajor}{,.*}

%files -n %{devnvdimmname}
%{_libdir}/libbd_nvdimm.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/nvdimm.h


%files -n %{libpartname}
%{_libdir}/libbd_part.so.%{somajor}{,.*}

%files -n %{devpartname}
%{_libdir}/libbd_part.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/part.h


%files -n %{libswapname}
%{_libdir}/libbd_swap.so.%{somajor}{,.*}

%files -n %{devswapname}
%{_libdir}/libbd_swap.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/swap.h


%if %{with_vdo}
%files -n %{libvdoname}
%{_libdir}/libbd_vdo.so.%{somajor}{,.*}

%files -n %{devvdoname}
%{_libdir}/libbd_vdo.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/vdo.h
%endif

%if %{with_tools}
%files tools
%{_bindir}/lvm-cache-stats
%endif

%ifarch s390 s390x
%files -n %{libs390name}
%{_libdir}/libbd_s390.so.%{somajor}{,.*}

%files -n %{devs390name}
%{_libdir}/libbd_s390.so
%dir %{_includedir}/blockdev
%{_includedir}/blockdev/s390.h
%endif

%files plugins-all



%changelog
* Fri Sep 18 2020 tv <tv> 2.24-11.mga8
+ Revision: 1628633
- exec: Fix setting locale for util calls

* Thu Sep 10 2020 tv <tv> 2.24-10.mga8
+ Revision: 1624086
- enable lvm-dbus support

* Wed Sep 09 2020 tv <tv> 2.24-9.mga8
+ Revision: 1623801
- fix deps of tools subpkg

* Tue Sep 08 2020 tv <tv> 2.24-8.mga8
+ Revision: 1623591
- enable VDO & bcache
- Change -mpath subpackage Requires: device-mapper-multipath into Recommends (rhbz#1857393)

* Tue Sep 08 2020 tv <tv> 2.24-7.mga8
+ Revision: 1623584
- 2.24
- dm: Fix comparing DM RAID member devices UUID
- Work around gcc-11 false positive warning

* Sun Feb 16 2020 umeabot <umeabot> 2.20-7.mga8
+ Revision: 1533436
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 21 2019 daviddavid <daviddavid> 2.20-6.mga8
+ Revision: 1444413
- rebuild for python3.8

* Tue Feb 05 2019 tv <tv> 2.20-5.mga7
+ Revision: 1363376
- fix broken deps

* Sat Jan 26 2019 ngompa <ngompa> 2.20-4.mga7
+ Revision: 1361166
- Fix version constraints across subpackages

* Sat Jan 26 2019 ngompa <ngompa> 2.20-3.mga7
+ Revision: 1361065
- Adapt for Mageia from Fedora
- imported package libblockdev

